#include<stdio.h>
int main()
{
	int i, k, n;
	printf("n = ");
	scanf("%d", &n);
	for(i = 2; i <= n; i++)
	{
		for(k = 0; n % i == 0; k++)
			n /= i;
		if(k > 0)
			printf("%d ^ %d\n", i, k);
	}
	getch();
}

